// SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
// SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
// -*- tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 2 -*-
// vi: set et ts=4 sw=2 sts=2:
/** \file
 * \brief Contains <tt>#undef</tt>s for all preprocessor macros
 * defined by UG.
 *
 * This file is created automatically by the perl script <tt>undefAllMacros.pl</tt>.
 */

#undef ADDPATTERN
#undef ADDPATTERN_LEN
#undef ADDPATTERN_SHIFT
#undef __ALGEBRA__
#undef __ANISOTROPIC__
#undef AREA_OF_ELEMENT
#undef AREA_OF_ELEMENT_2D
#undef AREA_OF_ELEMENT_3D
#undef AREA_OF_ELEMENT_BND
#undef AREA_OF_HEXAHEDRON
#undef AREA_OF_PRISM
#undef AREA_OF_PYRAMID
#undef AREA_OF_QUADRILATERAL
#undef AREA_OF_REF
#undef AREA_OF_REF_2D
#undef AREA_OF_REF_BND
#undef AREA_OF_TETRAHEDRON
#undef AREA_OF_TRIANGLE
#undef ASSERT
#undef ATTR
#undef ATTR_TO_GLEVEL
#undef AUXEDGE
#undef AUXEDGE_LEN
#undef AUXEDGE_SHIFT
#undef BHM_OK
#undef BITWISE_TYPE
#undef BLOCK_NOT_DEFINED
#undef BND_SIZE_TAG
#undef Broadcast
#undef BVPD_CONFIG
#undef BVPD_CONVEX
#undef BVPD_MIDPOINT
#undef BVPD_NAME
#undef BVPD_NCOEFFF
#undef BVPD_NPARTS
#undef BVPD_NSUBDOM
#undef BVPD_NUSERF
#undef BVPD_RADIUS
#undef BVPD_S2P
#undef BVPD_S2P_PTR
#undef CANNOT_INIT_PROBLEM
#undef CAT
#undef CAT3
#undef CE_FREE
#undef CE_INIT
#undef CE_INIT_UNUSED
#undef CE_LOCKED
#undef CENTERNODE
#undef CENTER_NODE_INDEX
#undef CENTER_NODE_INDEX_TAG
#undef CENTERTYPE
#undef CE_USED
#undef CEXTRA
#undef CEXTRA_LEN
#undef CEXTRA_SHIFT
#undef C_FRONTEND
#undef CHECK
#undef CLASS_OF_RULE
#undef CLEAR_FLAG
#undef CMATRIX0
#undef CMATRIX1
#undef COARSEN
#undef COARSEN_LEN
#undef COARSEN_SHIFT
#undef CONCAT
#undef CONCAT_AUX
#undef CONTEXT
#undef ControlWord
#undef COOBJ
#undef COORDINATE_TO_KEY
#undef COPY_SC_TO_SH
#undef CORNER
#undef CORNER_COORDINATES
#undef CORNER_COORDINATES_HEXAHEDRON
#undef CORNER_COORDINATES_PRISM
#undef CORNER_COORDINATES_PYRAMID
#undef CORNER_COORDINATES_QUADRILATERAL
#undef CORNER_COORDINATES_TETRAHEDRON
#undef CORNER_COORDINATES_TRIANGLE
#undef CORNER_OF_EDGE
#undef CORNER_OF_EDGE_PTR
#undef CORNER_OF_EDGE_REF
#undef CORNER_OF_EDGE_TAG
#undef CORNER_OF_OPPEDGE
#undef CORNER_OF_OPPEDGE_REF
#undef CORNER_OF_OPPEDGE_TAG
#undef CORNER_OF_SIDE
#undef CORNER_OF_SIDE_INV
#undef CORNER_OF_SIDE_INV_REF
#undef CORNER_OF_SIDE_INV_TAG
#undef CORNER_OF_SIDE_PTR
#undef CORNER_OF_SIDE_REF
#undef CORNER_OF_SIDE_TAG
#undef CORNER_OPP_TO_SIDE
#undef CORNER_OPP_TO_SIDE_REF
#undef CORNER_OPP_TO_SIDE_TAG
#undef CORNERS_OF_BND_SEG
#undef CORNERS_OF_EDGE
#undef CORNERS_OF_ELEM
#undef CORNERS_OF_REF
#undef CORNERS_OF_SIDE
#undef CORNERS_OF_SIDE_REF
#undef CORNERS_OF_SIDE_TAG
#undef CORNERS_OF_TAG
#undef CORNERTYPE
#undef COUNTELEMENT
#undef COUNTNODE
#undef COUNTVECTOR
#undef COUNTVERTEX
#undef CP_EUKLIDNORM
#undef CP_LIMCOMB
#undef CPP_FRONTEND
#undef CP_SCALARPRODUCT
#undef CP_SUBTRACT
#undef CTRL
#undef CTRL2
#undef CURRENTLEVEL
#undef CVECT
#undef __CW__
#undef CW_FREE
#undef CW_INIT
#undef CW_INIT_UNUSED
#undef CW_READ
#undef CW_READ_STATIC
#undef CW_USED
#undef CW_WRITE
#undef CW_WRITE_STATIC
#undef __DDD__
#undef DDD_ATTR_NULL
#undef DDD_DOMAIN_DATA
#undef DDD_EXTRA_DATA
#undef DDD_GID_TO_INT
#undef DDD_IdentifyBegin
#undef DDD_IdentifyEnd
#undef DDD_IdentifyNumber
#undef DDD_IFAOneway
#undef DDD_InfoAttr
#undef DDD_InfoGlobalId
#undef DDD_InfoPriority
#undef DDD_InfoType
#undef DDD_OBJ
#undef DDD_PRIO_ENV
#undef DDD_PRIO_NULL
#undef DDD_PrioritySet
#undef DDD_PROC_NULL
#undef DDDTYPE
#undef DDD_TYPE_BY_HANDLER
#undef DDD_TYPE_NULL
#undef DDD_VERSION
#undef __DEBUG__
#undef _DEBUG_CW_
#undef DEBUG_MODE
#undef DEBUG_TIME
#undef DEBUG_TIME_MAX
#undef DEC_NO_OF_ELEM
#undef DECNOOFNODE
#undef DECOUPLED
#undef DECOUPLED_LEN
#undef DECOUPLED_SHIFT
#undef DEL_VECTOR
#undef DIAGMATRIXTYPE
#undef DIM
#undef DIMENSION_H
#undef DIM_OF_BND
#undef DIRSEP
#undef DMTP
#undef __DOMAIN__
#undef DOM_EVAL_SD_UNKNOWN
#undef DOM_LOC_X
#undef DOM_LOC_Y
#undef DOM_PARAM_OFFSET
#undef DOWNGRID
#undef EATTR
#undef EBUILDCON
#undef EBUILDCON_LEN
#undef EBUILDCON_SHIFT
#undef ECLASS
#undef ECLASS_LEN
#undef ECLASS_SHIFT
#undef EDATA
#undef EDDATA
#undef EDGENEW
#undef EDGENEW_LEN
#undef EDGENEW_SHIFT
#undef EDGE_OF_CORNER
#undef EDGE_OF_CORNER_REF
#undef EDGE_OF_CORNER_TAG
#undef EDGE_OFFSET
#undef EDGE_OF_SIDE
#undef EDGE_OF_SIDE_REF
#undef EDGE_OF_SIDE_TAG
#undef EDGE_OF_TWO_SIDES
#undef EDGE_OF_TWO_SIDES_REF
#undef EDGE_OF_TWO_SIDES_TAG
#undef EDGE_ON_BND
#undef EDGES_OF_CORNER
#undef EDGES_OF_CORNER_REF
#undef EDGES_OF_CORNER_TAG
#undef EDGES_OF_ELEM
#undef EDGES_OF_REF
#undef EDGES_OF_SIDE
#undef EDGES_OF_SIDE_REF
#undef EDGES_OF_SIDE_TAG
#undef EDGES_OF_TAG
#undef EDGE_WITH_CORNERS
#undef EDGE_WITH_CORNERS_REF
#undef EDGE_WITH_CORNERS_TAG
#undef EDID_FFMT
#undef EDID_FFMTE
#undef EDID_FFMTX
#undef EDID_FMT
#undef EDID_FMTE
#undef EDID_FMTX
#undef EDID_PRT
#undef EDID_PRTE
#undef EDID_PRTX
#undef EDSUBDOM
#undef EDSUBDOM_LEN
#undef EDSUBDOM_SHIFT
#undef EDVECTOR
#undef EFATHER
#undef EGHOST
#undef EGHOSTPRIO
#undef EGID
#undef EHGHOST
#undef EHGHOSTPRIO
#undef EIDCNT
#undef EID_FFMT
#undef EID_FFMTE
#undef EID_FFMTX
#undef EID_FMT
#undef EID_FMTE
#undef EID_FMTX
#undef EID_PRT
#undef EID_PRTE
#undef EID_PRTX
#undef ELEM_BNDS
#undef ELEMENTFMT
#undef ELEMENT_OFFSET
#undef ELEMENT_PTR
#undef __ELEMENTS__
#undef EMASTER
#undef EMASTERPRIO
#undef ENCOPIES
#undef ENDDEBUG
#undef ENDPAR
#undef END_UGDIM_NAMESPACE
#undef END_UG_NAMESPACE
#undef ENVDIR_DOWN
#undef ENVITEM_DOWN
#undef ENVITEM_LOCKED
#undef ENVITEM_NAME
#undef ENVITEM_TYPE
#undef EPRIO
#undef EPROCLIST
#undef EPROCPRIO
#undef ETA
#undef EVECTOR
#undef EVEN
#undef EVGHOST
#undef EVGHOSTPRIO
#undef EVHGHOST
#undef EVHGHOSTPRIO
#undef __EVM__
#undef __EXCHANGE_CONNECTIONS__
#undef EX_MAT
#undef FALSE
#undef FATHER_SIDE_OFFSET
#undef FINE_GRID_DOF
#undef FINE_GRID_DOF_LEN
#undef FINE_GRID_DOF_SHIFT
#undef FIRSTELEMENT
#undef FIRSTELEMSIDE
#undef FIRSTNODE
#undef FIRSTPART_OF_LIST
#undef FIRSTVECTOR
#undef FIRSTVERTEX
#undef FLAG
#undef FLAG_OFFSET
#undef FMT_CONN_DEPTH_MAX
#undef FMT_CONN_DEPTH_PTR
#undef FMT_CONN_DEPTH_TP
#undef FMT_MAX_PART
#undef FMT_MAX_TYPE
#undef FMT_N2T
#undef FMT_NB_DEPTH
#undef FMT_PO2T
#undef FMT_SET_N2T
#undef FMT_S_IMAT_TP
#undef FMT_S_MATPTR
#undef FMT_S_MAT_TP
#undef FMT_S_VEC_TP
#undef FMT_T2N
#undef FMT_T2O
#undef FMT_T2P
#undef FMT_TYPE_IN_PART
#undef FMT_TYPE_USES_OBJ
#undef FMT_USES_OBJ
#undef FMT_VTYPE_NAME
#undef FORMAT
#undef FROM_VTNAME
#undef FULLREFINELEVEL
#undef FULL_REFRULE
#undef FULL_REFRULE_0_5
#undef FULL_REFRULE_1_3
#undef FULL_REFRULE_2_4
#undef GATTR
#undef GBYTE
#undef GENERAL_CW
#undef GENERAL_OFFSET
#undef GEN_MGUD
#undef GEN_MGUD_ADR
#undef GetAllSons
#undef GETGID
#undef GET_MATRIX
#undef GetMemoryForObject
#undef GetTmpMem
#undef GFORMAT
#undef GHOST
#undef GHOSTPRIO
#undef GID
#undef GLEVEL
#undef __GM__
#undef GREENCLASS
#undef GRID_ATTR
#undef GRID_OFFSET
#undef GRID_ON_LEVEL
#undef GRID_STATUS_OFFSET
#undef GSTATUS
#undef HAS_DDDHDR
#undef HDR
#undef HDRELEMENT
#undef HDRNODE
#undef HDRVECTOR
#undef HDRVERTEX
#undef HEAPFAULT
#undef __HEAPS__
#undef HGHOST
#undef HGHOSTPRIO
#undef HiWrd
#undef ID
#undef IDENT_ONLY_NEW
#undef ID_FFMT
#undef ID_FFMTE
#undef ID_FFMTX
#undef ID_FMT
#undef ID_FMTE
#undef ID_FMTX
#undef ID_PRT
#undef ID_PRTE
#undef ID_PRTX
#undef IFDEBUG
#undef INC_NO_OF_ELEM
#undef INCNOOFNODE
#undef INIT
#undef __INITUG__
#undef INNER_BOUNDARY
#undef INNER_SIDE
#undef INNER_SIZE_TAG
#undef INVERSE_TRANSFORMATION
#undef IS_ENVDIR
#undef ISNaN
#undef IS_REFINED
#undef KBYTE
#undef KEEP_VECTOR
#undef LASTELEMENT
#undef LASTNODE
#undef LASTPART_OF_LIST
#undef LASTVECTOR
#undef LASTVERTEX
#undef LCVECT
#undef LDATA
#undef LEAFELEM
#undef LELEM
#undef LEVEL
#undef LEVEL_LEN
#undef LEVEL_SHIFT
#undef LINK
#undef LINK0
#undef LINK1
#undef LINK_OFFSET
#undef LINKX
#undef LIOBJ
#undef LISTPART2PRIO
#undef LISTPART_FIRSTELEMENT
#undef LISTPART_FIRSTNODE
#undef LISTPART_FIRSTVECTOR
#undef LISTPART_FIRSTVERTEX
#undef LISTPART_LASTELEMENT
#undef LISTPART_LASTNODE
#undef LISTPART_LASTVECTOR
#undef LISTPART_LASTVERTEX
#undef LOCAL_COORD_OF_ELEM
#undef LOCAL_COORD_OF_REF
#undef LOCAL_COORD_OF_TAG
#undef LOCAL_TO_GLOBAL
#undef LOCAL_TO_GLOBAL_2D
#undef LOCAL_TO_GLOBAL_3D
#undef LOCAL_TO_GLOBAL_BND
#undef LOCAL_TO_GLOBAL_HEXAHEDRON
#undef LOCAL_TO_GLOBAL_PRISM
#undef LOCAL_TO_GLOBAL_PYRAMID
#undef LOCAL_TO_GLOBAL_QUADRILATERAL
#undef LOCAL_TO_GLOBAL_TETRAHEDRON
#undef LOCAL_TO_GLOBAL_TRIANGLE
#undef LOFFSET
#undef LOFFSET_LEN
#undef LOFFSET_SHIFT
#undef LoWrd
#undef M2_DET
#undef M2_INVERT
#undef M2_TIMES_V2
#undef M3_DET
#undef M3_INVERT
#undef M3_TIMES_V3
#undef MACTIVE
#undef MACTIVE_LEN
#undef MACTIVE_SHIFT
#undef MADJ
#undef MAPPED_BND_OBJT_TAG
#undef MAPPED_INNER_OBJT_TAG
#undef MARK
#undef MARK2PAT
#undef MARK2PATTERN
#undef MARK2RULE
#undef MARK2RULEADR
#undef MARKCLASS
#undef MARKCLASS_LEN
#undef MARKCLASS_SHIFT
#undef MARKCOUNT
#undef MARKED
#undef MARK_LEN
#undef MARK_OF_RULE
#undef MARK_SHIFT
#undef MARK_STACK_SIZE
#undef MarkTmpMem
#undef MASTER
#undef MASTERPRIO
#undef MATELEM
#undef MATRIX_OFFSET
#undef MATRIXTYPE
#undef MAX
#undef MAXCONNECTIONS
#undef MAX_CONTROL_ENTRIES
#undef MAX_CONTROL_WORDS
#undef MAX_CORNERS_OF_EDGE
#undef MAX_CORNERS_OF_ELEM
#undef MAX_CORNERS_OF_ELEM_2D
#undef MAX_CORNERS_OF_ELEM_3D
#undef MAX_CORNERS_OF_ELEM_DIM
#undef MAX_CORNERS_OF_SIDE
#undef MAXDDDTYPES
#undef MAXDOMPARTS
#undef MAX_EDGES_OF_CORNER
#undef MAX_EDGES_OF_ELEM
#undef MAX_EDGES_OF_ELEM_2D
#undef MAX_EDGES_OF_ELEM_3D
#undef MAX_EDGES_OF_ELEM_DIM
#undef MAX_EDGES_OF_SIDE
#undef MAX_ELEM_VECTORS
#undef MAXLEVEL
#undef MAXMATRICES
#undef MAXNBLOCKS
#undef MAX_NDOF
#undef MAX_NDOF_MOD_32
#undef MAX_NEW_CORNERS
#undef MAX_NEW_CORNERS_2D
#undef MAX_NEW_CORNERS_3D
#undef MAX_NEW_CORNERS_DIM
#undef MAX_NEW_EDGES
#undef MAX_NEW_EDGES_2D
#undef MAX_NEW_EDGES_3D
#undef MAX_NEW_EDGES_DIM
#undef MAXOBJECTS
#undef MAX_PAR_DIST
#undef MAX_PATH_DEPTH
#undef MAX_REFINED_CORNERS_DIM
#undef MAX_RULES
#undef MAX_SIDE_NODES
#undef MAX_SIDES_OF_EDGE
#undef MAX_SIDES_OF_ELEM
#undef MAX_SIDES_OF_ELEM_2D
#undef MAX_SIDES_OF_ELEM_3D
#undef MAX_SIDES_OF_ELEM_DIM
#undef MAX_SIDES_TOUCHING
#undef MAX_SON_EDGES
#undef MAX_SONS_2D
#undef MAX_SONS_3D
#undef MAX_SONS_DIM
#undef MAXVECTORS
#undef MAXVOBJECTS
#undef MAXVTNAMES
#undef MBYTE
#undef MD2_TIMES_V2
#undef MDEC
#undef MDEST
#undef MDESTINDEX
#undef MDESTTYPE
#undef MDESTTYPE_LEN
#undef MDESTTYPE_SHIFT
#undef MDIAG
#undef MDIAG_LEN
#undef MDIAG_SHIFT
#undef M_DIM_INVERT
#undef MDOWN
#undef MDOWN_LEN
#undef MDOWN_SHIFT
#undef MGBNDSEGDESC
#undef MG_BVP
#undef MG_BVPD
#undef MG_COARSE_FIXED
#undef MG_FILENAME
#undef MGFORMAT
#undef MGHEAP
#undef MG_MAGIC_COOKIE
#undef MG_MARK_KEY
#undef MGNAME
#undef MGNOOFCORNERS
#undef MG_NPROPERTY
#undef MG_SAVED
#undef MGSTATUS
#undef MG_USER_HEAP
#undef MGVERTEX
#undef MIDNODE
#undef MIDTYPE
#undef MIN
#undef MINC
#undef MIN_HEAP_SIZE
#undef __MISC__
#undef MLOWER
#undef MLOWER_LEN
#undef MLOWER_SHIFT
#undef MM2_TIMES_V2
#undef MMYCON
#undef MNEW
#undef MNEW_LEN
#undef MNEW_SHIFT
#undef MNEXT
#undef MODIFIED
#undef MODIFIED_LEN
#undef MODIFIED_SHIFT
#undef MOFFSET
#undef MOFFSET_LEN
#undef MOFFSET_SHIFT
#undef MOVE
#undef MOVED
#undef MOVED_LEN
#undef MOVED_SHIFT
#undef MOVE_LEN
#undef MOVE_SHIFT
#undef MROOT
#undef MROOTTYPE
#undef MROOTTYPE_LEN
#undef MROOTTYPE_SHIFT
#undef MSIZE_LEN
#undef MSIZEMAX
#undef MSIZE_SHIFT
#undef MSTRONG
#undef MT2_TIMES_V2
#undef MT3_TIMES_V3
#undef MTP
#undef MT_TIMES_V_DIM
#undef MTYPE
#undef MULTIGRID_STATUS_OFFSET
#undef MUP
#undef MUP_LEN
#undef MUPPER
#undef MUPPER_LEN
#undef MUPPER_SHIFT
#undef MUP_SHIFT
#undef MUSED
#undef MVALUE
#undef MVALUEPTR
#undef MYEDGE
#undef MYMG
#undef MYVERTEX
#undef NAMELENSTR
#undef NBELEM
#undef NBNODE
#undef NC
#undef NCLASS
#undef NCLASS_LEN
#undef NCLASS_SHIFT
#undef NCOPIES
#undef NDATA
#undef NDATA_DEF_IN_MG
#undef NE
#undef NELIST_DEF_IN_MG
#undef NEW_DEFECT
#undef NEW_DEFECT_LEN
#undef NEW_DEFECT_SHIFT
#undef NEW_EDIDENT
#undef NEW_EDIDENT_LEN
#undef NEWEL
#undef NEWEL_LEN
#undef NEWEL_SHIFT
#undef NEW_NIDENT
#undef NEW_NIDENT_LEN
#undef NEXT
#undef NEXT_ENVITEM
#undef NEXTSIDE
#undef NEXTSIDEHEX
#undef NEXTSIDEMASK
#undef NEXTSIDEMASKHEX
#undef NFATHER
#undef NFATHEREDGE
#undef NIDCNT
#undef NIMAT
#undef NN
#undef NNCLASS
#undef NNCLASS_LEN
#undef NNCLASS_SHIFT
#undef NN_PRIO
#undef NO
#undef NO_CENTER_NODE
#undef NOCLASS
#undef NODE_ELEMENT_LIST
#undef NODEFMT
#undef NO_DELETE_OVERLAP2
#undef NO_DELETE_OVERLAP2_LEN
#undef NODE_OFFSET
#undef NODE_OF_RULE
#undef NODEORD
#undef NODEORD_LEN
#undef NODEORD_SHIFT
#undef NO_MSGID
#undef NO_OF_ELEM
#undef NO_OF_ELEM_LEN
#undef NO_OF_ELEM_MAX
#undef NO_OF_ELEM_SHIFT
#undef NOOFNODE
#undef NOOFNODE_LEN
#undef NOOFNODEMAX
#undef NOOFNODE_SHIFT
#undef NOTUSED
#undef NOVTYPE
#undef NPROP
#undef NPROP_LEN
#undef NPROP_SHIFT
#undef NS
#undef NS_DIM_PREFIX
#undef NSONS
#undef NSONS_LEN
#undef NSONS_OF_RULE
#undef NSONS_SHIFT
#undef NS_PREFIX
#undef NSUBDOM
#undef NSUBDOM_LEN
#undef NSUBDOM_SHIFT
#undef NT
#undef NT_PRIO
#undef NTYPE
#undef NTYPE_LEN
#undef NTYPE_SHIFT
#undef NU
#undef NV
#undef NVEC
#undef NVEC_PRIO
#undef NVECTOR
#undef NV_PRIO
#undef OBJ_LEN
#undef OBJ_SHIFT
#undef OBJT
#undef OBJT_MAX
#undef OFF
#undef OFFSET_IN_MGUD
#undef ON
#undef ONEDGE
#undef ONEDGE_LEN
#undef ONEDGE_SHIFT
#undef ONNBSIDE
#undef ONNBSIDE_LEN
#undef ONNBSIDE_SHIFT
#undef ONSIDE
#undef ONSIDE_LEN
#undef ONSIDE_SHIFT
#undef OPPOSITE_EDGE
#undef OPPOSITE_EDGE_REF
#undef OPPOSITE_EDGE_TAG
#undef OUT_OF_RANGE
#undef __OVERLAP2__
#undef PAR
#undef __PARALLEL_H__
#undef __PARGM_H__
#undef PARHDR
#undef PARHDRE
#undef PARHDRV
#undef PARTITION
#undef PATHDEPTH
#undef PATHDEPTHMASK
#undef PATHDEPTHSHIFT
#undef PAT_OF_RULE
#undef PATTERN
#undef PATTERN2MARK
#undef PATTERN2RULE
#undef PATTERN_LEN
#undef PATTERN_OF_RULE
#undef PATTERN_SHIFT
#undef PFIRSTELEMENT
#undef PFIRSTNODE
#undef PFIRSTVECTOR
#undef PFIRSTVERTEX
#undef PFMT
#undef PI
#undef PLASTELEMENT
#undef PLASTNODE
#undef PLASTVECTOR
#undef PLASTVERTEX
#undef POW
#undef POW2
#undef __PPIF__
#undef PPIF_FAILURE
#undef PPIF_SUCCESS
#undef PPREDVC
#undef PREDE
#undef PREDMAX
#undef PREDN
#undef PREDNEW0
#undef PREDNEW1
#undef PREDNEW2
#undef PREDV
#undef PREDVC
#undef PREV_ENVITEM
#undef PrintDebug
#undef PRINTDEBUG
#undef PRINTDEBUG_EXT
#undef PRINT_LIST
#undef PRIO
#undef PRIO2INDEX
#undef PRIO2LISTPART
#undef PRIOCOUNTELEMENT
#undef PRIOCOUNTNODE
#undef PRIOCOUNTVECTOR
#undef PRIOCOUNTVERTEX
#undef PRIO_FIRSTELEMENT
#undef PRIO_FIRSTNODE
#undef PRIO_FIRSTVECTOR
#undef PRIO_FIRSTVERTEX
#undef PRIO_LASTELEMENT
#undef PRIO_LASTNODE
#undef PRIO_LASTVECTOR
#undef PRIO_LASTVERTEX
#undef PROCLIST
#undef PROCPRIO
#undef PROP
#undef PROPERTY_OFFSET
#undef PROP_LEN
#undef PROP_SHIFT
#undef PutFreeObject
#undef READ_FLAG
#undef REAL
#undef REDCLASS
#undef REF2TAG
#undef REFINE
#undef __REFINE__
#undef REFINECLASS
#undef REFINECLASS_LEN
#undef REFINECLASS_SHIFT
#undef REFINE_ELEMENT_LIST
#undef REFINE_GRID_LIST
#undef REFINEINFO
#undef REFINE_LEN
#undef REFINE_MULTIGRID_LIST
#undef REFINE_SHIFT
#undef REFINESTEP
#undef ReleaseTmpMem
#undef REP_ERR_ENCOUNTERED
#undef REP_ERR_INC
#undef REP_ERR_MAX
#undef REP_ERR_RESET
#undef REP_ERR_RETURN
#undef REP_ERR_RETURN_PTR
#undef RESETGSTATUS
#undef RESETMGSTATUS
#undef RETURN
#undef REVERSE
#undef RINFO_MAX
#undef ROOT_DIR
#undef RULE2MARK
#undef RULE2PAT
#undef RULE2PATTERN
#undef __RULEMANAGER__
#undef SETADDPATTERN
#undef SETAUXEDGE
#undef SET_BNDS
#undef SET_CENTERNODE
#undef SETCEXTRA
#undef SETCOARSEN
#undef SET_CORNER
#undef SETCUSED
#undef SETDECOUPLED
#undef SETEBUILDCON
#undef SETECLASS
#undef SETEDGENEW
#undef SETEDSUBDOM
#undef SET_EFATHER
#undef SETEPRIO
#undef SETEPRIOX
#undef SET_EVECTOR
#undef SETFINE_GRID_DOF
#undef SET_FLAG
#undef SETGLOBALGSTATUS
#undef SetHiWrd
#undef SET_LELEM
#undef SETLEVEL
#undef SETLOFFSET
#undef SetLoWrd
#undef SETMACTIVE
#undef SETMARK
#undef SETMARKCLASS
#undef SETMARKCOUNT
#undef SETMDESTTYPE
#undef SETMDIAG
#undef SETMDOWN
#undef SETMLOWER
#undef SETMNEW
#undef SETMODIFIED
#undef SETMOFFSET
#undef SETMOVE
#undef SETMOVED
#undef SETMROOTTYPE
#undef SETMSIZE
#undef SETMUP
#undef SETMUPPER
#undef SETMUSED
#undef SET_NBELEM
#undef SETNCLASS
#undef SETNEW_DEFECT
#undef SETNEW_EDIDENT
#undef SETNEWEL
#undef SETNEW_NIDENT
#undef SETNEXTSIDE
#undef SETNFATHER
#undef SETNFATHEREDGE
#undef SETNNCLASS
#undef SETNO_DELETE_OVERLAP2
#undef SETNODEORD
#undef SET_NO_OF_ELEM
#undef SETNOOFNODE
#undef SETNPROP
#undef SETNSONS
#undef SETNSUBDOM
#undef SETNTYPE
#undef SETOBJT
#undef SETONEDGE
#undef SETONNBSIDE
#undef SETONSIDE
#undef SETPATHDEPTH
#undef SETPATTERN
#undef SETPREDMAX
#undef SETPREDNEW0
#undef SETPREDNEW1
#undef SETPREDNEW2
#undef SETPRIO
#undef SETPRIOX
#undef SETPROP
#undef SETREAL
#undef SETREFINE
#undef SETREFINECLASS
#undef SETREFINESTEP
#undef SETSIDEPATTERN
#undef SET_SON
#undef SETSUBDOMAIN
#undef SET_SVECTOR
#undef SETTAG
#undef SETTHEFLAG
#undef SETUPDATE_GREEN
#undef SETUSED
#undef SETVACTIVE
#undef SETVBUILDCON
#undef SETVCCOARSE
#undef SETVCCUT
#undef SETVCFLAG
#undef SETVCLASS
#undef SETVCOUNT
#undef SETVCUSED
#undef SETVDATATYPE
#undef SETVDOWN
#undef SETVECTORSIDE
#undef SETVNCLASS
#undef SETVNEW
#undef SETVOTYPE
#undef SETVPART
#undef SETVTYPE
#undef SETVUP
#undef SETVXPRIO
#undef SETVXPRIOX
#undef SETXFERMATX
#undef SETXFERVECTOR
#undef SFIRSTNODE
#undef SFIRSTVECTOR
#undef SFIRSTVERTEX
#undef __SHAPES__
#undef SIDE_ON_BND
#undef SIDE_OPP_TO_CORNER
#undef SIDE_OPP_TO_CORNER_REF
#undef SIDE_OPP_TO_CORNER_TAG
#undef SIDEPATTERN
#undef SIDEPATTERN_LEN
#undef SIDEPATTERN_SHIFT
#undef SIDES_OF_ELEM
#undef SIDES_OF_REF
#undef SIDES_OF_TAG
#undef SIDETYPE
#undef SIDE_WITH_EDGE
#undef SIDE_WITH_EDGE_REF
#undef SIDE_WITH_EDGE_TAG
#undef SIGNIFICANT_DIGITS
#undef SIZE_UNKNOWN
#undef SON
#undef SON_CORNER
#undef SON_CORNER_OF_RULE
#undef SON_NB
#undef SON_NB_OF_RULE
#undef SONNODE
#undef SONNODE_OF_NODE_OF_RULE
#undef SON_OF_NODE_OF_RULE
#undef SON_OF_RULE
#undef SON_PATH
#undef SON_PATH_OF_RULE
#undef SONS_OF_ELEM
#undef SONS_OF_TAG
#undef SON_TAG
#undef SON_TAG_OF_RULE
#undef SQRT
#undef START
#undef START_UGDIM_NAMESPACE
#undef START_UG_NAMESPACE
#undef StaticControlWord
#undef StaticControlWordMask
#undef STAT_OUT
#undef __STD_DOMAIN__
#undef STR
#undef SUBDOMAIN
#undef SUBDOMAIN_LEN
#undef SUBDOMAIN_SHIFT
#undef SUCCE
#undef SUCCN
#undef SUCCV
#undef SUCCVC
#undef SVECTOR
#undef SWAP
#undef SWITCHCLASS
#undef TAG
#undef TAG_LEN
#undef TAG_OF_RULE
#undef TAGS
#undef TAG_SHIFT
#undef TET_COPY
#undef TET_RED
#undef TET_RED_0_5
#undef TET_RED_1_3
#undef TET_RED_2_4
#undef TET_RED_HEX
#undef THEFLAG
#undef THEFLAG_LEN
#undef THEFLAG_SHIFT
#undef __THREEDIM__
#undef TOPLEVEL
#undef TOPNODE
#undef TO_VTNAME
#undef TRANSFORMATION
#undef TRANSFORMATION_2D
#undef TRANSFORMATION_3D
#undef TRANSFORMATION_BND
#undef TRANSFORMATION_OF_HEXAHEDRON
#undef TRANSFORMATION_OF_PRISM
#undef TRANSFORMATION_OF_PYRAMID
#undef TRANSFORMATION_OF_QUADRILATERAL
#undef TRANSFORMATION_OF_TETRAHEDRON
#undef TRANSFORMATION_OF_TRIANGLE
#undef TRUE
#undef __TWODIM__
#undef __UGENV__
#undef UG_GlobalMaxDOUBLE
#undef UG_GlobalMaxINT
#undef UG_GlobalMaxNDOUBLE
#undef UG_GlobalMaxNINT
#undef UG_GlobalMinDOUBLE
#undef UG_GlobalMinINT
#undef UG_GlobalMinNDOUBLE
#undef UG_GlobalMinNINT
#undef UG_GlobalSumDOUBLE
#undef UG_GlobalSumINT
#undef UG_GlobalSumNDOUBLE
#undef UG_GlobalSumNINT
#undef __UGM__
#undef UG_MSIZE
#undef UG_NAMESPACE_H
#undef UGTYPE
#undef UGTYPES_H
#undef UNLINK
#undef UPDATE_GREEN
#undef UPDATE_GREEN_LEN
#undef UPDATE_GREEN_SHIFT
#undef UPGRID
#undef USED
#undef USED_LEN
#undef USED_SHIFT
#undef USING_UGDIM_NAMESPACE
#undef USING_UG_NAMESPACE
#undef USING_UG_NAMESPACES
#undef V1_COPY
#undef V2_ADD
#undef V2_CLEAR
#undef V2_COPY
#undef V2_EUKLIDNORM
#undef V2_EUKLIDNORM_OF_DIFF
#undef V2_ISEQUAL
#undef V2_LINCOMB
#undef V2_SCALAR_PRODUCT
#undef V2_SCALE
#undef V2_SCAL_PROD
#undef V2_SUBTRACT
#undef V2_VECTOR_PRODUCT
#undef V3_ADD
#undef V3_CLEAR
#undef V3_COPY
#undef V3_EUKLIDNORM
#undef V3_EUKLIDNORM_OF_DIFF
#undef V3_ISEQUAL
#undef V3_LINCOMB
#undef V3_SCALAR_PRODUCT
#undef V3_SCALE
#undef V3_SCAL_PROD
#undef V3_SUBTRACT
#undef V3_VECTOR_PRODUCT
#undef VACTIVE
#undef VACTIVE_LEN
#undef VACTIVE_SHIFT
#undef V_BDIM_COPY
#undef V_BNDP
#undef VBUILDCON
#undef VCCOARSE
#undef VCCOARSE_LEN
#undef VCCOARSE_SHIFT
#undef VCCUT
#undef VCCUT_LEN
#undef VCCUT_SHIFT
#undef VCFLAG
#undef VCLASS
#undef VCLASS_LEN
#undef VCLASS_SHIFT
#undef VCOUNT
#undef VCOUNT_LEN
#undef VCOUNT_SHIFT
#undef VCUSED
#undef VDATA
#undef VDATATYPE
#undef VDATATYPE_LEN
#undef VDATATYPE_SHIFT
#undef V_DIM_ADD
#undef V_DIM_CLEAR
#undef V_DIM_COPY
#undef V_DIM_EUKLIDNORM
#undef V_DIM_EUKLIDNORM_OF_DIFF
#undef V_DIM_ISEQUAL
#undef V_DIM_LINCOMB
#undef V_DIM_SCALAR_PRODUCT
#undef V_DIM_SCALE
#undef V_DIM_SCAL_PROD
#undef V_DIM_SUBTRACT
#undef VDOWN
#undef VEC_DEF_IN_OBJ_OF_GRID
#undef VEC_DEF_IN_OBJ_OF_MG
#undef VECTORFMT
#undef VECTOR_OFFSET
#undef VECTORSIDE
#undef VECTORSIDE_LEN
#undef VECTORSIDE_SHIFT
#undef VERTEXFMT
#undef VERTEX_OFFSET
#undef VFATHER
#undef VGHOST
#undef VGHOSTPRIO
#undef VGID
#undef VHGHOST
#undef VHGHOSTPRIO
#undef VIDCNT
#undef VID_FFMT
#undef VID_FFMTE
#undef VID_FFMTX
#undef VID_FMT
#undef VID_FMTE
#undef VID_FMTX
#undef VID_PRT
#undef VID_PRTE
#undef VID_PRTX
#undef V_IN_DATATYPE
#undef VINDEX
#undef VINDEX_FFMT
#undef VINDEX_FFMTE
#undef VINDEX_FFMTX
#undef VINDEX_FMT
#undef VINDEX_FMTE
#undef VINDEX_FMTX
#undef VINDEX_PRT
#undef VINDEX_PRTE
#undef VINDEX_PRTX
#undef VMYEDGE
#undef VMYELEMENT
#undef VMYNODE
#undef VNCLASS
#undef VNCLASS_LEN
#undef VNCLASS_SHIFT
#undef VNEW
#undef VNEW_LEN
#undef VNEW_SHIFT
#undef VOBJECT
#undef VOID_NBELEM
#undef VOTYPE
#undef VOTYPE_LEN
#undef VOTYPE_SHIFT
#undef VPART
#undef VPART_LEN
#undef VPART_SHIFT
#undef VSTART
#undef VTYPE
#undef VTYPE_LEN
#undef VTYPE_SHIFT
#undef VUP
#undef VVALUE
#undef VVALUEPTR
#undef VXATTR
#undef VXGHOST
#undef VXGID
#undef VXHGHOST
#undef VXMASTER
#undef VXNCOPIES
#undef VXPRIO
#undef VXPROCLIST
#undef VXPROCPRIO
#undef VXVGHOST
#undef VXVHGHOST
#undef _X_
#undef XC
#undef XCAT
#undef XCAT3
#undef XFERCOPY
#undef XFERCOPYX
#undef XFERDELETE
#undef XFERECOPY
#undef XFERECOPYX
#undef XFEREDELETE
#undef XFERMATX
#undef XFERMATX_LEN
#undef XFERMATX_SHIFT
#undef XFERVECTOR
#undef XFERVECTOR_LEN
#undef XFERVECTOR_SHIFT
#undef XFERVXCOPY
#undef XFERVXCOPYX
#undef XFERVXDELETE
#undef XI
#undef XSTR
#undef __XXL_MSIZE__
#undef _Y_
#undef YC
#undef YELLOWCLASS
#undef YES
#undef _Z_
#undef ZC
